Loading...
Searching...
No Matches
FileLocationHandler::ImmediateDataPollOperation Class Reference

This class allows immediate data to be returned for a polling operation. More...

`#include <FileLocationHandlerData.qc.dox.h>`

## Public Member Functions

| constructor (auto value)
| Creates the object with the value to be returned.
*hash< SocketPollInfo > | continuePoll ()
| Always returns nothing.
string | getGoal ()
| The goal is always `"done"`.
auto | getOutput ()
| Returns the value.
string | getState ()
| The state is always `"done"`.
bool | goalReached ()
| Always returns True.

## Protected Attributes

auto | value
| The value to return.

## Detailed Description

This class allows immediate data to be returned for a polling operation.